Whoops, bad documentation for the new color option.
[dygraphs.git] / test.sh
diff --git a/test.sh b/test.sh
index 3d3bfbb..9ca252e 100755 (executable)
--- a/test.sh
+++ b/test.sh
@@ -9,4 +9,11 @@ if [ $? != 0 ]; then
   exit 1
 fi
 
-phantomjs phantom-driver.js
+# Don't run tests if the documentation doesn't parse.
+./generate-documentation.py > /dev/null
+if [ $? != 0 ]; then
+  echo Failed to generate documentation. Fix this before running tests.
+  exit 1
+fi
+
+phantomjs phantom-driver.js $*